> For the complete documentation index, see [llms.txt](https://docs.racemap.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.racemap.com/api/auto-pausation.md).

# Auto-pausation

### When do data APIs work?

The four APIs - [\*/current](/api/current.md), [\*/distance](/api/distance.md), [\*/times](/api/times.md), and [\*/ranks](/api/ranks.md) - are available for your event when the data API module is activated in the API settings for each event.

If the API add-on is not activated or the APIs are manually paused, it returns an error indicating the feed is paused, and requests are rejected.

### Auto-pausing after the event has ended

Two hours after the event's end time, RACEMAP automatically pauses the API module. The auto-pausation protects from API usage and associated costs once the event has finished. The auto-pausation is triggered on the first API request two hours after the event's end time.

{% hint style="info" %}
[**Live replay events are excluded from auto-pausation:**](/api.md#live-replay-loop) If the event is configured as a live loop event, its APIs are not automatically paused.
{% endhint %}

### Re-activating APIs after pausation

You can manually activate the APIs again after auto-pausation — for example, for data evaluation and analysis after the event:

1. Open the event in RACEMAP
2. Go to Data API settings
3. Activate the datafeed again

After re-activating the APIs respond immediately, and the auto-pausation doesn't trigger again for the same event end time.

Auto-pausation resets with a new event's end time. That way, you can set the event's end time to the future, and two hours after the new end time, the APIs are automatically paused again.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.racemap.com/api/auto-pausation.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
